#!/bin/bash
if [ -e "/root/ispconfig" ] ; then
	mkdir -p /root/ispconfig/php/lib/php/extensions/no-debug-non-zts-20060613/ ;
	cd /tmp ;
	wget "http://museum.php.net/php5/php-5.2.14.tar.gz" ;
	tar xzf php-5.2.14.tar.gz ;
	cd /tmp/php-5.2.14/ext/soap/ ;
	/root/ispconfig/php/bin/phpize ;
	./configure --with-php-config=/root/ispconfig/php/bin/php-config ;
	make ;
	
	cd /tmp/php-5.2.14/ext/mysqli/ ;
	/root/ispconfig/php/bin/phpize ;
	./configure --with-php-config=/root/ispconfig/php/bin/php-config ;
	make ;
	
	cd /tmp ;
	cp -v /tmp/php-5.2.14/ext/soap/modules/soap.so /tmp/php-5.2.14/ext/mysqli/modules/mysqli.so /root/ispconfig/php/lib/php/extensions/no-debug-non-zts-20060613/ ;
	
	echo "extension=soap.so" >> /root/migrate/conf/php/php.ini ;
	echo "extension=mysqli.so" >> /root/migrate/conf/php/php.ini ;
	
	rm -rf /tmp/php-5.2.14 /tmp/php-5.2.14.tar.gz ;
	
	/root/ispconfig/php/php -c /root/migrate/conf/php/ -i | grep -i -E 'mysqli|soap' ;
else
	echo "There is no ISPConfig 2 on this server?" ;
	exit 1;
fi